import { FCS } from './FCS';
import { IFlags, TFlagsCreator, TTagCreator } from './interfaces';
export interface IRequestWithFcs {
    fcs: FCS;
}
export declare const flags: (value: IFlags | TFlagsCreator, maxAge?: number) => (req: any, res: any, next: any) => Promise<void>;
export declare const tag: (name: string, value: string | number | boolean | TTagCreator) => (req: any, res: any, next: any) => Promise<void>;
export declare const access: (name: string) => (req: any, res: any, next: any) => void;
export declare const feature: (name: string, cb: Function) => (req: any, res: any, next: any) => Promise<void>;
