import { FLAGS } from './enums';
export interface ICookies {
    [name: string]: string | number | boolean;
}
export declare type TFlagValue = string | string[] | number | number[] | boolean;
export declare type TTagValue = string | number | boolean;
export interface IFlag {
    flag: FLAGS;
    name?: string;
    value?: TFlagValue;
    flags?: IFlag[];
}
export interface IFlags {
    [name: string]: IFlag;
}
export declare type TTagCreator = (req: any) => string;
export declare type TFlagsCreator = () => IFlags;
